org.eclipse.wst.jsdt.launching

## Interface IRuntimeClasspathEntry2

All Superinterfaces:
  IRuntimeClasspathEntry

    public interface IRuntimeClasspathEntry2
    extends IRuntimeClasspathEntry

Enhancements to `IRuntimeClasspathEntry` to support extensible runtime includepath entries. Contributed runtime includepath entries have a type of `OTHER`, and are contributed to the `runtimeClasspathEntries` extension point.

Clients are not intended to implement this interface, as new types of runtime includepath entries are only intended to be contributed by the JavaScript debugger.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.launching.IRuntimeClasspathEntry

`ARCHIVE, BOOTSTRAP_CLASSES, CONTAINER, OTHER, PROJECT, STANDARD_CLASSES, USER_CLASSES, VARIABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Returns a human readable name for this includepath entry.
`IRuntimeClasspathEntry[]` `getRuntimeClasspathEntries(ILaunchConfiguration configuration)` Returns the includepath entries this entry is composed of, or an empty collection if this entry is not a composite entry.
`java.lang.String` `getTypeId()` Returns the unique identifier of the extension that contributed this includepath entry type, or `null` if this includepath entry type was not contributed.
`void` `initializeFrom(org.w3c.dom.Element memento)` Initializes this runtime includepath entry from the given memento.
`boolean` `isComposite()` Returns whether this includepath entry is composed of other entries.

### Methods inherited from interface org.eclipse.wst.jsdt.launching.IRuntimeClasspathEntry

`getClasspathEntry, getClasspathProperty, getJavaProject, getLocation, getMemento, getPath, getResource, getSourceAttachmentLocation, getSourceAttachmentPath, getSourceAttachmentRootLocation, getSourceAttachmentRootPath, getType, getVariableName, setClasspathProperty, setSourceAttachmentPath, setSourceAttachmentRootPath`

### Method Detail

#### initializeFrom

    void initializeFrom(org.w3c.dom.Element memento)
                 throws CoreException

Initializes this runtime includepath entry from the given memento.

Parameters:
  `memento` - memento created by a includepath entry of the same type
Throws:
  `CoreException` - if unable to initialize from the given memento

#### getTypeId

    java.lang.String getTypeId()

Returns the unique identifier of the extension that contributed this includepath entry type, or `null` if this includepath entry type was not contributed.

Returns:
  the unique identifier of the extension that contributed this includepath entry type, or `null` if this includepath entry type was not contributed

#### isComposite

    boolean isComposite()

Returns whether this includepath entry is composed of other entries.

Returns:
  whether this includepath entry is composed of other entries

#### getRuntimeClasspathEntries

    IRuntimeClasspathEntry[] getRuntimeClasspathEntries(ILaunchConfiguration configuration)
                                                 throws CoreException

Returns the includepath entries this entry is composed of, or an empty collection if this entry is not a composite entry.

Parameters:
  `configuration` - the context (launch configuration) in which this runtime includepath entry is being queried for contained entries, possibly `null`
Returns:
  the includepath entries this entry is composed of, or an empty collection if this entry is not a composite entry
Throws:
  `CoreException` - if unable to retrieve contained entries

#### getName

    java.lang.String getName()

Returns a human readable name for this includepath entry.

Returns:
  a human readable name for this includepath entry